### Method

# GLib StaticMutex free

deprecated: 2.32

#### Declaration

    void
    g_static_mutex_free (
      GStaticMutex* mutex
    )

#### Description

Releases all resources allocated to `mutex`.

You don’t have to call this functions for a `GStaticMutex` with an unbounded lifetime, i.e. objects declared ‘static’, but if you have a `GStaticMutex` as a member of a structure and the structure is freed, you should also free the `GStaticMutex`.

Calling `g_static_mutex_free()` on a locked mutex may result in undefined behaviour.

Deprecated since: 2.32

Use `g_mutex_clear()`

This method is not directly available to language bindings.